wait_for_single_fd.c File Reference
`#include "ruby/ruby.h"`
`#include "ruby/io.h"`

Go to the source code of this file.

## Functions

static VALUE | wait_for_single_fd (VALUE ign, VALUE fd, VALUE events, VALUE timeout)
void | Init_wait_for_single_fd (void)

## Function Documentation

void Init_wait_for_single_fd | ( | void |  | ) |

Definition at line 23 of file wait_for_single_fd.c.

References INT2NUM(), rb_cIO, rb_cObject, rb_define_const(), rb_define_singleton_method(), RB_WAITFD_IN, RB_WAITFD_OUT, RB_WAITFD_PRI, and wait_for_single_fd().

static VALUE wait_for_single_fd | ( | VALUE | ign,
|  | VALUE | fd,
|  | VALUE | events,
|  | VALUE | timeout
| ) |  |

static

Definition at line 5 of file wait_for_single_fd.c.

References INT2NUM(), NIL_P, NULL, NUM2INT, rb_sys_fail(), rb_time_timeval(), and rb_wait_for_single_fd().

Referenced by Init_wait_for_single_fd().